<?php

namespace Drupal\private_message_flood\Service;

/**
 * Provides services for the Private Message Flood Protection module.
 */
interface PrivateMessageFloodServiceInterface {

  /**
   * Determines whether a user has reached their post limit for messages.
   *
   * @return bool
   *   A boolean indicating whether or not they have reached their flood limit.
   *   TRUE means they have reached the limit, and should be stopped from
   *   posting. FALSE means they can post as normal.
   */
  public function checkUserFlood();

}
